Skip to main content
`Ctrl`+`K`

# PetscLogStageGetActive

Checks if a stage is used for `PetscLogEventBegin()` and `PetscLogEventEnd()`.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogStageGetActive(PetscLogStage stage, PetscBool *isActive)

Not Collective

## Input Parameter

- stage - The stage

## Output Parameter

- isActive - The activity flag, `PETSC_TRUE` for logging, else `PETSC_FALSE` (defaults to `PETSC_TRUE`)

## See Also

Profiling, `PetscLogStageRegister()`, `PetscLogStagePush()`, `PetscLogStagePop()`, `PetscLogEventBegin()`, `PetscLogEventEnd()`, `PetscPreLoadBegin()`, `PetscPreLoadEnd()`, `PetscPreLoadStage()`

## Level

intermediate

## Location

src/sys/logging/plog.c

Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages